
#include <evblib/evproc/handleset.h>

#include <string.h>


/* Compiles a version of handleset.o that depends on macro's, without having to
 * introduce those macros into the makefiles */

#ifndef WINDOWS		/* Unix */

#include <evblib/evproc/timer_timeval.inc>

#ifndef USE_POLL	/* Unix w/ select */

#include <evblib/evproc/handleset_select.inc>

#else			/* Unix w/ poll */

#include <evblib/evproc/handleset_poll.inc>

#endif

#else			/* Windows */

#include <evblib/evproc/timer_filetime.inc>
#include <evblib/evproc/handleset_wfmo.inc>

#endif


/*
 * vim:softtabstop=4:sw=4
 */

